Subject: 23.2; ibuffer-filter-by-filename ignores buffer directory names

From: Damyan Pepper <[email-masked]>
Date: Thu, 12 Aug 2010 11:06:34 +0100

When using ibuffer.el if I set it to filter by filename then dired
buffers visiting directories are not included in the filter.  This is
inconsistent with the way that ibuffer displays the buffers.

For example, if I start with emacs -Q, open a few buffers and run M-x ibuffer:

MR Name                    Size Mode             Filename/Process
-- ----                    ---- ----             ----------------
[ Default ]
   README                  5276 Fundamental      c:/emacs-23.2/README
 % emacs-23.2               857 Dired by name    c:/emacs-23.2/
 % etc                     5627 Dired by name    c:/emacs-23.2/etc/
 % bin                     1299 Dired by name    c:/emacs-23.2/bin/
   *scratch*                191 Lisp Interaction
*  *Messages*               131 Fundamental

   6 buffers              13381                  4 files, no processes

and then press "/ f emacs" I get:

MR Name                    Size Mode             Filename/Process
-- ----                    ---- ----             ----------------
[ Default ]
   README                  5276 Fundamental      c:/emacs-23.2/README

   1 buffer                5276                  1 file, no processes

Note that the emacs-23.2, etc and bin buffers all have an entry in the
"Filename/Process" column that is ignored by the filter.

In GNU Emacs 23.2.1 (i386-mingw-nt5.2.3790)
of 2010-05-08 on G41R2F1
Windowing system distributor `Microsoft Corp.', version 5.2.3790
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/xpm/include'

Important settings:
 value of $LC_ALL: nil
 value of $LC_COLLATE: nil
 value of $LC_CTYPE: nil
 value of $LC_MESSAGES: nil
 value of $LC_MONETARY: nil
 value of $LC_NUMERIC: nil
 value of $LC_TIME: nil
 value of $LANG: ENG
 value of $XMODIFIERS: nil
 locale-coding-system: cp1252
 default enable-multibyte-characters: t